<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="packages\ILMerge.3.0.29\build\ILMerge.props" Condition="Exists('packages\ILMerge.3.0.29\build\ILMerge.props')" />
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{9B070374-98A3-4122-85DD-CF5AB5E4B503}</ProjectGuid>
    <OutputType>Library</OutputType>
    <RootNamespace>Quadarax.Foundation.Infrastructure</RootNamespace>
    <AssemblyName>QDR.FND.Infrastructure</AssemblyName>
    <TargetFrameworkVersion>v4.7.2</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <AutoGenerateBindingRedirects>true</AutoGenerateBindingRedirects>
    <Deterministic>true</Deterministic>
    <NuGetPackageImportStamp>
    </NuGetPackageImportStamp>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup>
    <ApplicationIcon>quadarax_dll.ico</ApplicationIcon>
  </PropertyGroup>
  <PropertyGroup>
    <StartupObject />
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)' == 'Release'">
    <SignAssembly>true</SignAssembly>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)' == 'Release'">
    <AssemblyOriginatorKeyFile>quadarax_strong_name_key.pfx</AssemblyOriginatorKeyFile>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="log4net, Version=2.0.8.0, Culture=neutral, PublicKeyToken=669e0ddf0bb1aa2a, processorArchitecture=MSIL">
      <HintPath>packages\log4net.2.0.8\lib\net45-full\log4net.dll</HintPath>
    </Reference>
    <Reference Include="QDR.FND.Common, Version=1.0.0.7, Culture=neutral, PublicKeyToken=60b8fdcb29a015db, processorArchitecture=MSIL">
      <HintPath>packages\Quadarax.Foundation.Common.1.0.0.7\lib\net472\QDR.FND.Common.dll</HintPath>
    </Reference>
    <Reference Include="StructureMap">
      <HintPath>packages\StructureMap.4.7.1\lib\net45\StructureMap.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="GlobalContainer.cs" />
    <Compile Include="IModule.cs" />
    <Compile Include="Infra.cs" />
    <Compile Include="Layers\BusinessLayer.cs" />
    <Compile Include="Layers\DataLayer.cs" />
    <Compile Include="Layers\GlobalLayer.cs" />
    <Compile Include="Layers\Layer.cs" />
    <Compile Include="Layers\LayerClassificationEnum.cs" />
    <Compile Include="Layers\PresentationLayer.cs" />
    <Compile Include="Layers\ServiceLayer.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
  </ItemGroup>
  <ItemGroup>
    <None Include="App.config" />
    <None Include="create_package.ps1" />
    <None Include="packages.config" />
    <None Include="QDR.FND.Infrastructure.nuspec">
      <SubType>Designer</SubType>
    </None>
    <None Include="quadarax_strong_name_key.pfx" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="quadarax_dll.ico" />
    <Content Include="ReleaseNote.txt" />
  </ItemGroup>
  <ItemGroup />
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <Target Name="EnsureNuGetPackageBuildImports" BeforeTargets="PrepareForBuild">
    <PropertyGroup>
      <ErrorText>This project references NuGet package(s) that are missing on this computer. Use NuGet Package Restore to download them.  For more information, see http://go.microsoft.com/fwlink/?LinkID=322105. The missing file is {0}.</ErrorText>
    </PropertyGroup>
    <Error Condition="!Exists('packages\ILMerge.3.0.29\build\ILMerge.props')" Text="$([System.String]::Format('$(ErrorText)', 'packages\ILMerge.3.0.29\build\ILMerge.props'))" />
  </Target>
  <Target Name="MergeAssembly" AfterTargets="Build" Condition="'$(Configuration)' == 'Release'">
    <Message Text="*** Merging assemblies into $(TargetDir)merged\$(TargetName).dll ***" />
	<Exec Command="if not exist &quot;$(TargetDir)merged\&quot; mkdir &quot;$(TargetDir)merged\&quot;" />
    <Exec Command="$(ILMergeConsolePath) /out:&quot;$(TargetDir)merged\$(TargetName).dll&quot; &quot;$(TargetDir)$(TargetName).dll&quot; &quot;$(TargetDir)StructureMap.dll&quot; /keyfile:&quot;$(ProjectDir)quadarax_strong_name_key.pub&quot; /delaysign /target:library /wildcards /log:&quot;$(TargetDir)merge_output.log&quot;" />
  </Target>
  <Target Name="SignMergedAssembly" AfterTargets="MergeAssembly"  Condition="'$(Configuration)' == 'Release'">
	  <Message Text="*** Signing merged assembly $(TargetDir)$merged\(TargetName).dll ***" />
	  <Exec Command="&quot;C:\Program Files (x86)\Microsoft SDKs\Windows\v10.0A\bin\NETFX 4.7.2 Tools\x64\sn.exe&quot; -Rc $(TargetDir)merged\$(TargetName).dll quadarax_strong_name_key" />
  </Target>
  <Target Name="CopyMergedAssembly" AfterTargets="SignMergedAssembly"  Condition="'$(Configuration)' == 'Release'">
    <Message Text="*** Replace merged assembly $(TargetDir)merged\$(TargetName).dll ***" />
    <Exec Command="copy /Y $(TargetDir)merged\$(TargetName).dll $(TargetDir)$(TargetName).dll" />
    <Exec Command="copy /Y $(TargetDir)merged\$(TargetName).pdb $(TargetDir)$(TargetName).pdb" />
  </Target>
  <PropertyGroup>
    <PostBuildEvent>
    </PostBuildEvent>
  </PropertyGroup>
</Project>